AlgorithmParametersBase::ParameterNotUsed Class Reference

Exception thrown when an AlgorithmParameter is unused. More...

`#include <algparam.h>`

Inheritance diagram for AlgorithmParametersBase::ParameterNotUsed:

## Public Member Functions

| ParameterNotUsed (const char *name)
Public Member Functions inherited from Exception
| Exception (ErrorType errorType, const std::string &s)
| Construct a new Exception.
const char * | what () const throw ()
| Retrieves a C-string describing the exception.
const std::string & | GetWhat () const
| Retrieves a string describing the exception.
void | SetWhat (const std::string &s)
| Sets the error string for the exception.
ErrorType | GetErrorType () const
| Retrieves the error type for the exception.
void | SetErrorType (ErrorType errorType)
| Sets the error type for the exceptions.

## Additional Inherited Members

Public Types inherited from Exception
enum | ErrorType { NOT_IMPLEMENTED , INVALID_ARGUMENT , CANNOT_FLUSH , DATA_INTEGRITY_CHECK_FAILED , INVALID_DATA_FORMAT , IO_ERROR , OTHER_ERROR }
| Error types or categories. More...

## Detailed Description

Exception thrown when an AlgorithmParameter is unused.

Definition at line 307 of file algparam.h.

## Constructor & Destructor Documentation

## ParameterNotUsed()

AlgorithmParametersBase::ParameterNotUsed::ParameterNotUsed | ( | const char * | name | ) |

inline

Definition at line 310 of file algparam.h.

The documentation for this class was generated from the following file:

- algparam.h